Last modified: 2014-11-19 11:22:28 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 47075 - Evaluate which resource loader modules really need position => top
Evaluate which resource loader modules really need position => top
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Santhosh Thottingal
code-quality
: javascript, performance
Depends on:
Blocks: code_quality uls-diet
  Show dependency treegraph
 
Reported: 2013-04-10 12:50 UTC by Niklas Laxström
Modified: 2014-11-19 11:22 UTC (History)
15 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Niklas Laxström 2013-04-10 12:50:26 UTC
Evaluate which resource loader modules really need position => top and remove it from others.
Comment 1 Andre Klapper 2013-04-10 13:23:44 UTC
I assume this was meant for ULS, hence correcting component.
Comment 2 Siebrand Mazeland 2013-04-10 13:25:13 UTC
Added Roan and Timo on CC. Just in case they are interested.
Comment 3 Amir E. Aharoni 2014-01-30 09:25:01 UTC
The evaluation was done and implemented in November.
Comment 4 Niklas Laxström 2014-01-30 09:58:46 UTC
If someone actually did this, I am not aware of it.
Comment 5 Bartosz Dziewoński 2014-01-30 11:51:54 UTC
Are there any notes from this available, or any commits made as a result?
Comment 6 Nemo 2014-02-24 07:56:06 UTC
This is the only blocker currently left for bug 56292, can it be prioritised?
Comment 7 Amir E. Aharoni 2014-03-21 10:51:05 UTC
Santhosh, can you please explain how you made the decisions about this?
Comment 8 Santhosh Thottingal 2014-08-25 11:58:56 UTC
This is bit old, anyway, there were lot of refactoring around the RL modules of ULS. I am listing a set of bug reports and patches, that addressed this in direct and indirect way. The commit message and bug report discussions will provide history

* https://gerrit.wikimedia.org/r/93051 Avoid loading jquery.jStorage for logged in users
* https://gerrit.wikimedia.org/r/93050 Delay loading of jquery.uls.grid (merged)
* https://gerrit.wikimedia.org/r/93038 Move button styles to separate module (merged)
* https://github.com/wikimedia/jquery.uls/pull/115 Use unescaped Unicode (merged to upstream, merged)
* https://gerrit.wikimedia.org/r/93057 Refactor ime lazy loading (merged)
* https://bugzilla.wikimedia.org/show_bug.cgi?id=56292

The main idea was to keep only RLs with position top that affects the page flicker if not top loaded- mainly the ones that affect the page rendering. Following are the top loaded modules in master code right now:

1. ext.uls.nojs
2. ext.uls.init
3. ext.uls.inteface
Comment 9 Santhosh Thottingal 2014-11-19 11:22:28 UTC
Closing the bug, assuming details given above are sufficient.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links